Charts
The chart object represents a chart that can be displayed in a view or idea collection.
The chart object
{
"id": "53ad1e3f-8dd6-48a7-9222-111a61b3a9eb",
"createdAt": "2025-03-07T13:22:10.360Z",
"updatedAt": "2025-03-07T13:22:10.360Z",
"title": "Idea Collections by Goal",
"entity": "mission",
"kind": "RADAR_PLOT",
"aggregateFunction": null,
"data": {
"hideGrid": false,
"dimensions": [
{
"key": "COUNT",
"direction": "DESC"
}
],
"showLegend": false,
"labelDimension": "goal.id"
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": null,
"result": {
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": true,
"hasCountAggregationOnBaseEntity": true
},
"labelType": "string",
"labelLabel": "Goal ID",
"labels": [
"Other"
],
"rawLabels": [
"439e9eef-4150-41f2-b6ed-e451fb8da69e"
],
"datasets": [
{
"label": "# of Idea Collections",
"primitiveLabel": "#",
"type": "number",
"dimensionIndex": 0,
"data": [
3
]
}
]
},
"color": null,
"timeFrame": null
}Fields
Field | Type | Description |
|---|---|---|
id |
| The unique identifier of the chart. |
createdAt |
| The date when the chart was created. |
updatedAt |
| The date when the chart was last updated. |
title |
| The title of the chart |
entity |
| The entity of the chart |
kind |
| The kind of the chart |
aggregateFunction |
| The aggregate function of the chart |
data |
| The data of the chart |
showTotalAmounts |
| Indicates if the total amounts should be shown |
dynamicTitle |
| Indicates if the title is dynamic |
filter |
| The filter of the chart |
result |
| The result of the chart |
color |
| The color of the chart |
timeFrame.start |
| The start time frame of the chart |
timeFrame.end |
| The end time frame of the chart |
List charts for space
curl -X GET "https://api.ideanote.io/v1/charts?fields=id,createdAt,updatedAt,title,entity,kind,aggregateFunction,data,showTotalAmounts,dynamicTitle,filter,canEdit,result,color,timeFrame.start,timeFrame.end" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>"const result = await fetch("https://api.ideanote.io/v1/charts?fields=id,createdAt,updatedAt,title,entity,kind,aggregateFunction,data,showTotalAmounts,dynamicTitle,filter,canEdit,result,color,timeFrame.start,timeFrame.end", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
const charts = await result.json();The above command returns JSON structured like this:
[
{
"aggregateFunction": null,
"data": {
"stacked": false,
"hideGrid": false,
"dimensions": [
{}
],
"horizontal": false,
"showLabels": false,
"showLegend": false
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": null,
"canEdit": true,
"result": {
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": false,
"hasCountAggregationOnBaseEntity": false
},
"labels": [],
"rawLabels": [],
"datasets": [
{
"dimensionIndex": 0,
"data": []
}
]
},
"color": null,
"timeFrame": null
},
{
"aggregateFunction": null,
"data": {
"fill": false,
"unit": null,
"prefix": null,
"suffix": null,
"dimensions": [
{}
],
"unitDisplay": null
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": {
"rank": 1000
},
"canEdit": true,
"result": {
"datasets": [
{
"dimensionIndex": 0,
"data": [
0
]
}
],
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": true,
"hasCountAggregationOnBaseEntity": true
},
"aggregatedValue": 0
},
"color": null,
"timeFrame": null
},
{
"aggregateFunction": null,
"data": {
"limit": null,
"dimensions": [
{}
],
"showLabels": false,
"showRanking": true,
"orderByDimensionIndex": null
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": null,
"canEdit": true,
"result": {
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": false,
"hasCountAggregationOnBaseEntity": false
},
"labels": [
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"status": 3000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 5000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
}
],
"rawLabels": [
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"status": 3000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 5000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
}
],
"datasets": [
{
"dimensionIndex": 0,
"data": [
0,
0,
0
]
}
],
"hasMore": false
},
"color": null,
"timeFrame": null
},
{
"aggregateFunction": null,
"data": {
"fill": false,
"unit": null,
"prefix": null,
"suffix": null,
"dimensions": [
{}
],
"unitDisplay": null
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": {
"rank": 2000
},
"canEdit": true,
"result": {
"datasets": [
{
"dimensionIndex": 0,
"data": [
2
]
}
],
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": true,
"hasCountAggregationOnBaseEntity": true
},
"aggregatedValue": 2
},
"color": null,
"timeFrame": null
},
{
"aggregateFunction": null,
"data": {
"limit": null,
"dimensions": [
{}
],
"showLabels": false,
"showRanking": true,
"orderByDimensionIndex": null
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": null,
"canEdit": true,
"result": {
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": false,
"hasCountAggregationOnBaseEntity": false
},
"labels": [
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"status": 3000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 5000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
}
],
"rawLabels": [
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"status": 3000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 5000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
}
],
"datasets": [
{
"dimensionIndex": 0,
"data": [
0,
0,
0
]
}
],
"hasMore": false
},
"color": null,
"timeFrame": null
},
{
"aggregateFunction": null,
"data": {
"fill": false,
"unit": null,
"prefix": null,
"suffix": null,
"dimensions": [
{}
],
"unitDisplay": null
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": {
"rank": {
"value": 3000
}
},
"canEdit": true,
"result": {
"datasets": [
{
"dimensionIndex": 0,
"data": [
1
]
}
],
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": true,
"hasCountAggregationOnBaseEntity": true
},
"aggregatedValue": 1
},
"color": null,
"timeFrame": null
},
{
"aggregateFunction": null,
"data": {
"limit": null,
"dimensions": [
{}
],
"showLabels": false,
"showRanking": true,
"orderByDimensionIndex": null
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": null,
"canEdit": true,
"result": {
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": false,
"hasCountAggregationOnBaseEntity": false
},
"labels": [
{
"order": -1,
"parent": null,
"children": null,
"logo": null,
"membership": null,
"canEdit": true,
"open": false,
"friendlyId": 2,
"stats": {
"users": 0,
"children": 0
}
},
{
"order": -1,
"parent": null,
"children": null,
"logo": null,
"membership": null,
"canEdit": true,
"open": false,
"friendlyId": 1,
"stats": {
"users": 0,
"children": 0
}
},
{
"order": -1,
"parent": null,
"children": null,
"logo": null,
"membership": null,
"canEdit": true,
"open": false,
"friendlyId": 3,
"stats": {
"users": 0,
"children": 0
}
}
],
"rawLabels": [
{
"order": -1,
"parent": null,
"children": null,
"logo": null,
"membership": null,
"canEdit": true,
"open": false,
"friendlyId": 2,
"stats": {
"users": 0,
"children": 0
}
},
{
"order": -1,
"parent": null,
"children": null,
"logo": null,
"membership": null,
"canEdit": true,
"open": false,
"friendlyId": 1,
"stats": {
"users": 0,
"children": 0
}
},
{
"order": -1,
"parent": null,
"children": null,
"logo": null,
"membership": null,
"canEdit": true,
"open": false,
"friendlyId": 3,
"stats": {
"users": 0,
"children": 0
}
}
],
"datasets": [
{
"dimensionIndex": 0,
"data": [
0,
0,
0
]
}
],
"hasMore": false
},
"color": null,
"timeFrame": null
},
{
"aggregateFunction": null,
"data": {
"limit": null,
"dimensions": [
{}
],
"showLabels": false,
"showRanking": true,
"orderByDimensionIndex": null
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": null,
"canEdit": true,
"result": {
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": false,
"hasCountAggregationOnBaseEntity": false
},
"labels": [
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"status": 3000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 5000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
}
],
"rawLabels": [
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"status": 3000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 5000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
},
{
"avatar": {
"data": {},
"progress": 100,
"errorCode": null
},
"invitation": {
"openedAt": null,
"acceptedAt": null,
"status": 1000,
"message": null
},
"activeAt": null,
"deleted": false,
"isGhost": false,
"data": {},
"disabled": false,
"htmlDetails": null,
"prefs": {
"emailAlerts": 4000,
"localeOverrides": null,
"pushNotifications": true
},
"rank": 2000
}
],
"datasets": [
{
"dimensionIndex": 0,
"data": [
0,
0,
0
]
}
],
"hasMore": false
},
"color": null,
"timeFrame": null
},
{
"aggregateFunction": null,
"data": {
"fill": false,
"unit": null,
"prefix": null,
"suffix": null,
"dimensions": [
{}
],
"unitDisplay": null
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": null,
"canEdit": true,
"result": {
"datasets": [
{
"dimensionIndex": 0,
"data": [
3
]
}
],
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": true,
"hasCountAggregationOnBaseEntity": true
},
"aggregatedValue": 3
},
"color": null,
"timeFrame": null
},
{
"aggregateFunction": null,
"data": {
"limit": null,
"dimensions": [
{}
],
"showLabels": false,
"showRanking": true,
"orderByDimensionIndex": null
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": null,
"canEdit": true,
"result": {
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": true,
"hasCountAggregationOnBaseEntity": true
},
"labels": [],
"rawLabels": [],
"datasets": [
{
"dimensionIndex": 0,
"data": []
}
]
},
"color": null,
"timeFrame": null
}
]List all charts for a space
HTTP Request
GET /v1/charts
List charts for view
curl -X GET "https://api.ideanote.io/v1/views/d81a9404-6215-4eb3-930a-985546941cbb/charts?fields=id,createdAt,updatedAt,title,entity,kind,aggregateFunction,data,showTotalAmounts,dynamicTitle,filter,canEdit,result,color,timeFrame.start,timeFrame.end" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>"const result = await fetch("https://api.ideanote.io/v1/views/d81a9404-6215-4eb3-930a-985546941cbb/charts?fields=id,createdAt,updatedAt,title,entity,kind,aggregateFunction,data,showTotalAmounts,dynamicTitle,filter,canEdit,result,color,timeFrame.start,timeFrame.end", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
const chart = await result.json();The above command returns JSON structured like this:
[]List all charts for a view
HTTP Request
GET /v1/views/:view_id/charts
Query Parameters
Parameter | Description |
|---|---|
view_id | The ID of the view to retrieve charts for |
List charts for idea collection
curl -X GET "https://api.ideanote.io/v1/idea_collections/b3f0255d-6dc9-4c4e-b932-7186d7268a66/charts?fields=id,createdAt,updatedAt,title,entity,kind,aggregateFunction,data,showTotalAmounts,dynamicTitle,filter,canEdit,result,color,timeFrame.start,timeFrame.end" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>"const result = await fetch("https://api.ideanote.io/v1/idea_collections/b3f0255d-6dc9-4c4e-b932-7186d7268a66/charts?fields=id,createdAt,updatedAt,title,entity,kind,aggregateFunction,data,showTotalAmounts,dynamicTitle,filter,canEdit,result,color,timeFrame.start,timeFrame.end", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
const chart = await result.json();The above command returns JSON structured like this:
[]List all charts for a idea collection
HTTP Request
GET /v1/idea_collections/:mission_id/charts
Query Parameters
Parameter | Description |
|---|---|
mission_id | The ID of the idea collection to retrieve charts for |
Get chart
curl -X GET "https://api.ideanote.io/v1/charts/53ad1e3f-8dd6-48a7-9222-111a61b3a9eb?fields=id,createdAt,updatedAt,title,entity,kind,aggregateFunction,data,showTotalAmounts,dynamicTitle,filter,canEdit,result,color,timeFrame.start,timeFrame.end" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API Token>"const result = await fetch("https://api.ideanote.io/v1/charts/53ad1e3f-8dd6-48a7-9222-111a61b3a9eb?fields=id,createdAt,updatedAt,title,entity,kind,aggregateFunction,data,showTotalAmounts,dynamicTitle,filter,canEdit,result,color,timeFrame.start,timeFrame.end", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <API Token>",
}
});
const chart = await result.json();The above command returns JSON structured like this:
{
"aggregateFunction": null,
"data": {
"hideGrid": false,
"dimensions": [
{}
],
"showLegend": false
},
"showTotalAmounts": false,
"dynamicTitle": true,
"filter": null,
"canEdit": true,
"result": {
"metadata": {
"hasTooMuchData": false,
"isTimeFrameUsedForBaseEntity": true,
"hasCountAggregationOnBaseEntity": true
},
"labels": [
null
],
"rawLabels": [
null
],
"datasets": [
{
"dimensionIndex": 0,
"data": [
3
]
}
]
},
"color": null,
"timeFrame": null
}Get a specific chart
HTTP Request
GET /v1/charts/:chart_id
Query Parameters
Parameter | Description |
|---|---|
chart_id | The ID of the chart to retrieve |